/* style_main.css */
/* colours : #f1f5f9 (light gray), #4f46e5 (indigo) */

/* General styling */

body{
    background-color: #f1f5f9;
    font-family: "Quicksand", sans-serif;
    max-width: 100rem;
    margin: 0 auto;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

header{
    background-color: #4f46e5;
    color: #f1f5f9;
    text-align: center;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1.5rem;
    margin-bottom: 2rem;
}

main{
    flex: 1;
    max-width: 75rem;
    width: 100%;
    margin: 0 auto;
    padding: 0 2rem;
}

h1, h2, h3, h4, h5, h6{
    font-weight: normal;
    font-family: "Plus Jakarta Sans", sans-serif;
}

h2{
    font-size: 2.5rem;
    color: #4f46e5;
    margin-bottom: 1em;
}

p{
    font-size: 1.25em;
}

header h1{
    font-size: 2em;
    margin: 0;
}

header ul{
    list-style: none;
    display: flex;
    gap: 20px;
}

header a{
    color: #f1f5f9;
    font-size: 1.15rem;
    text-decoration: none;
    font-weight: bold;
}

article{
    padding: 2rem;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 2rem;
}

figure{
    margin: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
}

article aside{
    font-style: italic;
    font-size: 1rem;
}

article h2{
    font-size: 2.5rem;
    color: #4f46e5;
    margin-bottom: 1em;
}

article img{
    max-width: 20em;
    height: auto;
    object-fit: cover;
    margin: 0;
}

footer{
    background-color: #4f46e5;
    color: #f1f5f9;
    padding: 1rem;
    margin-top: 2rem;
    display: flex;
    justify-content: space-between;
}

footer img{
    width: 2em;
    height: 2em;
    object-fit: cover;
    margin-right: 0.5rem;
}

/* Classes Styling */
.about-text{
    padding-right: 4rem;
}

/* ID Styling */
#text-main{
    margin-bottom: 1em;
}

/* Mobile Styling */
@media (max-width: 48em) {
    article {
        flex-direction: column;
        align-items: center;
    }
    figure img {
        width: 100%;
        max-width: 20rem;
    }
    header {
        flex-direction: column;
        gap: 1rem;
        text-align: center;
    }
    header ul {
        flex-wrap: wrap;
        justify-content: center;
    }
    .about-text {
        padding-right: 0;
    }

    main {
        padding: 1rem;
    }

    .projects {
        grid-template-columns: 1fr;    
    }

    .education {
        grid-template-columns: 1fr;  
    }

    .education-date {
        text-align: left;          
    }

    h2 {
        font-size: 1.75rem;
    }

    p {
        font-size: 1rem;
    }

    footer {
        flex-direction: column;
        align-items: center;
        gap: 1rem;
        text-align: center;
    }
}